<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.1.2.1
Description: Ein am Anfang des Briefes formulierter Freitext. Der Text soll keine fachlich relevante Information beinhalten.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.1.2.1">
   <title>Brieftext</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]
Item: (TMP Brieftext)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section
Item: (TMP Brieftext)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section"
         id="tmp-52934b86-3015-42b3-a094-368184960fb2">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.1'])&gt;=1 ">(TMP Brieftext): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.1'])&lt;=1">(TMP Brieftext): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.1.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP Brieftext): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.1.html"
              test="count(hl7:code)&lt;=1">(TMP Brieftext): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.1.html"
              test="count(hl7:title)&gt;=1 ">(TMP Brieftext): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.1.html"
              test="count(hl7:title)&lt;=1">(TMP Brieftext): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.1.html"
              test="count(hl7:text)&gt;=1 ">(TMP Brieftext): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.1.html"
              test="count(hl7:text)&lt;=1">(TMP Brieftext): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.1.html"
              test="count(hl7:entry)&lt;=1">(TMP Brieftext): Element hl7:entry kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.1']
Item: (TMP Brieftext)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.1']"
         id="tmp-fcb1aeef-478c-4105-9f48-f527293c6235">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP Brieftext): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.1.html"
              test="@root='1.2.40.0.34.11.1.2.1'">(TMP Brieftext): @root MUSS den Wert '1.2.40.0.34.11.1.2.1' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Brieftext): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section/hl7:code
Item: (TMP Brieftext)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section/hl7:code"
         id="tmp-57351efb-7708-4687-abaf-355a4594d80c">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.1.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Brieftext): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.1.html"
              test="@nullFlavor or (@code='BRIEFT' and @codeSystem='1.2.40.0.34.5.40' and @displayName='Brieftext')">(TMP Brieftext): Der Wert von @code/@codeSystem MUSS 'BRIEFT' codeSystem '1.2.40.0.34.5.40' displayName='Brieftext' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section/hl7:title
Item: (TMP Brieftext)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section/hl7:title"
         id="tmp-ff150b94-4d1e-4566-a459-52c938f459c4">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.1.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP Brieftext): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.1.html"
              test="text()='Brieftext'">(TMP Brieftext): Der Elementinhalt von 'hl7:title' MUSS ''Brieftext'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section/hl7:text
Item: (TMP Brieftext)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section/hl7:entry
Item: (TMP Brieftext)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section/hl7:entry
Item: (TMP Brieftext)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section/hl7:entry/hl7:observationMedia
Item: (TMP Brieftext)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section/hl7:entry/hl7:observationMedia"
         id="tmp-ded7405b-f352-49f7-ba82-a3721b42e5b0">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.1.html"
              test="@classCode='OBS' ">(TMP Brieftext): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.1.html"
              test="@moodCode='EVN' ">(TMP Brieftext): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.2'])&gt;=1 ">(TMP Brieftext): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.2'])&lt;=1">(TMP Brieftext): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.1.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP Brieftext): Element hl7:value ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.1.html"
              test="count(hl7:value)&lt;=1">(TMP Brieftext): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section/hl7:entry/hl7:observationMedia/hl7:templateId[@root='1.2.40.0.34.11.1.3.2']
Item: (TMP Brieftext)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section/hl7:entry/hl7:observationMedia/hl7:templateId[@root='1.2.40.0.34.11.1.3.2']"
         id="tmp-7ec0b8f8-7f81-4a6f-b378-60dba5dc1e86">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP Brieftext): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.1.html"
              test="@root='1.2.40.0.34.11.1.3.2'">(TMP Brieftext): @root MUSS den Wert '1.2.40.0.34.11.1.3.2' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Brieftext): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section/hl7:entry/hl7:observationMedia/hl7:value
Item: (TMP Brieftext)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section/hl7:entry/hl7:observationMedia/hl7:value"
         id="tmp-8d841b5b-8743-4f68-988c-e43f5a81b041">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.1.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP Brieftext): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ED" oder der Datentype MUSS "ED" sein</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.1.html"
              test="@mediaType='image/png' or @mediaType='image/jpeg' ">(TMP Brieftext): Der Wert von @mediaType MUSS einer der folgenden Kodes enthalten: 'image/png', 'image/jpeg'.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.1.html"
              test="@representation='B64' ">(TMP Brieftext): Der Wert von @representation MUSS 'B64' sein.</assert>
   </rule>
</pattern>