<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.1.2.3
Description: Sonstige Beilagen, außer denjenigen Dokumenten, die in „Patientenverfügungen und andere juridische Dokumente“ angegeben sind. Achtung: Ein „Referenzieren“ auf Beilagen ist nicht
                gestattet. Beigelegte Dokumente/Bilder müssen dem Dokument in technisch eingebetteter Form beiliegen.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.1.2.3">
   <title>Beilagen</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]
Item: (TMP Beilagen)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section
Item: (TMP Beilagen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section"
         id="tmp-3c52e680-e928-4191-8a59-d3faeb6d2c94">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.3.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.3'])&gt;=1 ">(TMP Beilagen): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.3'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.3.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.3'])&lt;=1">(TMP Beilagen): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP Beilagen): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.3.html"
              test="count(hl7:code)&lt;=1">(TMP Beilagen): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.3.html"
              test="count(hl7:title)&gt;=1 ">(TMP Beilagen): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.3.html"
              test="count(hl7:title)&lt;=1">(TMP Beilagen): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.3.html"
              test="count(hl7:text)&gt;=1 ">(TMP Beilagen): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.3.html"
              test="count(hl7:text)&lt;=1">(TMP Beilagen): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.3.html"
              test="count(hl7:entry)&lt;=1">(TMP Beilagen): Element hl7:entry kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.3']
Item: (TMP Beilagen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.3']"
         id="tmp-ed9955ca-e732-4c30-997b-60fcacd56a65">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.3.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP Beilagen): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.3.html"
              test="@root='1.2.40.0.34.11.1.2.3'">(TMP Beilagen): @root MUSS den Wert '1.2.40.0.34.11.1.2.3' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.3.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Beilagen): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section/hl7:code
Item: (TMP Beilagen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section/hl7:code"
         id="tmp-778020c2-c729-44a6-92ec-d9a865af7de5">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.3.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Beilagen): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.3.html"
              test="@nullFlavor or (@code='BEIL' and @codeSystem='1.2.40.0.34.5.40')">(TMP Beilagen): Der Wert von @code/@codeSystem MUSS 'BEIL' codeSystem '1.2.40.0.34.5.40' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section/hl7:title
Item: (TMP Beilagen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section/hl7:title"
         id="tmp-e1bc71bb-1727-44b0-94c8-f47531a017b3">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.3.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP Beilagen): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.3.html"
              test="text()='Beilagen'">(TMP Beilagen): Der Elementinhalt von 'hl7:title' MUSS ''Beilagen'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section/hl7:text
Item: (TMP Beilagen)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section/hl7:entry
Item: (TMP Beilagen)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section/hl7:entry
Item: (TMP Beilagen)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section/hl7:entry/hl7:observationMedia
Item: (TMP Beilagen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section/hl7:entry/hl7:observationMedia"
         id="tmp-41d7e33c-da27-4f9f-8b79-93a8d2c2a245">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.3.html"
              test="@classCode='OBS' ">(TMP Beilagen): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.3.html"
              test="@moodCode='EVN' ">(TMP Beilagen): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.3.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.1'])&gt;=1 ">(TMP Beilagen): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.3.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.1'])&lt;=1">(TMP Beilagen): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.3.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP Beilagen): Element hl7:value ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.3.html"
              test="count(hl7:value)&lt;=1">(TMP Beilagen): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section/hl7:entry/hl7:observationMedia/hl7:templateId[@root='1.2.40.0.34.11.1.3.1']
Item: (TMP Beilagen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section/hl7:entry/hl7:observationMedia/hl7:templateId[@root='1.2.40.0.34.11.1.3.1']"
         id="tmp-7914a7f7-5c4e-4906-adf1-365f86f74a68">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.3.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP Beilagen): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.3.html"
              test="@root='1.2.40.0.34.11.1.3.1'">(TMP Beilagen): @root MUSS den Wert '1.2.40.0.34.11.1.3.1' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.3.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Beilagen): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section/hl7:entry/hl7:observationMedia/hl7:value
Item: (TMP Beilagen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section/hl7:entry/hl7:observationMedia/hl7:value"
         id="tmp-6c86bfe4-5202-464f-93d8-f30335261c68">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.3.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP Beilagen): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ED" oder der Datentype MUSS "ED" sein</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.3.html"
              test="string-length(@mediaType)&gt;0">(TMP Beilagen): Attribut @mediaType MUSS vorkommen.</assert>
      <let name="theAttValue" value="@mediaType"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ELGA_Medientyp-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.3.html"
              test="string-length($displayNamesFound)&gt;0">(TMP Beilagen): Der Wert von mediaType MUSS gewählt werden aus dem Value Set ELGA_Medientyp DYNAMIC.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.3.html"
              test="@representation='B64' ">(TMP Beilagen): Der Wert von @representation MUSS 'B64' sein.</assert>
   </rule>
</pattern>