<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.1.2.9
Description: Wird ausschließlich als Untersektion zu einer fachlichen Sektion angewandt. Enthält die Hilfsmittel und Ressourcen zum Thema der übergeordneten Sektion als narrative Beschreibung
                oder Auflistung.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.1.2.9">
   <title>Hilfsmittel und Ressourcen</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.9
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.9']]
Item: (TMP HilfsmittelRessourcen)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.9
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.9']]/hl7:section
Item: (TMP HilfsmittelRessourcen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.9']]/hl7:section"
         id="tmp-736f52d2-5bc9-4e1e-b4e0-eadbde83b8e1">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.9.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.9'])&gt;=1 ">(TMP HilfsmittelRessourcen): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.9'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.9.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.9'])&lt;=1">(TMP HilfsmittelRessourcen): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.9'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.9.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP HilfsmittelRessourcen): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.9.html"
              test="count(hl7:code)&lt;=1">(TMP HilfsmittelRessourcen): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.9.html"
              test="count(hl7:title)&gt;=1 ">(TMP HilfsmittelRessourcen): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.9.html"
              test="count(hl7:title)&lt;=1">(TMP HilfsmittelRessourcen): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.9.html"
              test="count(hl7:text)&gt;=1 ">(TMP HilfsmittelRessourcen): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.9.html"
              test="count(hl7:text)&lt;=1">(TMP HilfsmittelRessourcen): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.9
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.9']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.9']
Item: (TMP HilfsmittelRessourcen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.9']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.9']"
         id="tmp-c180e231-5d0b-49a5-8f3c-3b3967a2a03b">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.9.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP HilfsmittelRessourcen): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.9.html"
              test="@root='1.2.40.0.34.11.1.2.9'">(TMP HilfsmittelRessourcen): @root MUSS den Wert '1.2.40.0.34.11.1.2.9' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.9.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP HilfsmittelRessourcen): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.9
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.9']]/hl7:section/hl7:code
Item: (TMP HilfsmittelRessourcen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.9']]/hl7:section/hl7:code"
         id="tmp-7b400044-3b4a-46d9-a6b9-2b60c58d2b7c">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.9.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP HilfsmittelRessourcen): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.9.html"
              test="@nullFlavor or (@code='RES' and @codeSystem='1.2.40.0.34.5.40' and @displayName='Hilfsmittel und Ressourcen')">(TMP HilfsmittelRessourcen): Der Wert von @code/@codeSystem MUSS 'RES' codeSystem '1.2.40.0.34.5.40' displayName='Hilfsmittel und Ressourcen' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.9
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.9']]/hl7:section/hl7:title
Item: (TMP HilfsmittelRessourcen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.9']]/hl7:section/hl7:title"
         id="tmp-8c5f0166-032b-4d6b-9c4e-d60c397a6921">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.9.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP HilfsmittelRessourcen): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.9.html"
              test="text()='Hilfsmittel und Ressourcen'">(TMP HilfsmittelRessourcen): Der Elementinhalt von 'hl7:title' MUSS ''Hilfsmittel und Ressourcen'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.9
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.9']]/hl7:section/hl7:text
Item: (TMP HilfsmittelRessourcen)
-->
</pattern>