<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.10001
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.10001">
   <title>ELGA CDA Dokument Entlassung Ärztlich</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10001
Context: hl7:ClinicalDocument
Item: elga-cdaea
-->

<rule context="hl7:ClinicalDocument" id="tmp-e58c77ab-d7ae-4038-a538-91994b74aeec">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.10001.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2'])&gt;=1 and not(hl7:templateId[@root='1.2.40.0.34.11.2']/@nullFlavor)">elga-cdaea: Element hl7:templateId[@root='1.2.40.0.34.11.2'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.10001.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2'])&lt;=1">elga-cdaea: Element hl7:templateId[@root='1.2.40.0.34.11.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.10001.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.0.1' or @root='1.2.40.0.34.11.2.0.2' or @root='1.2.40.0.34.11.2.0.3'])&gt;=1 and not(hl7:templateId[@root='1.2.40.0.34.11.2.0.1' or @root='1.2.40.0.34.11.2.0.2' or @root='1.2.40.0.34.11.2.0.3']/@nullFlavor)">elga-cdaea: Element hl7:templateId[@root='1.2.40.0.34.11.2.0.1' or @root='1.2.40.0.34.11.2.0.2' or @root='1.2.40.0.34.11.2.0.3'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.10001.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.0.1' or @root='1.2.40.0.34.11.2.0.2' or @root='1.2.40.0.34.11.2.0.3'])&lt;=1">elga-cdaea: Element hl7:templateId[@root='1.2.40.0.34.11.2.0.1' or @root='1.2.40.0.34.11.2.0.2' or @root='1.2.40.0.34.11.2.0.3'] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.10001
Context: hl7:ClinicalDocument
Item: elga-cdaea
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.10001
Context: hl7:ClinicalDocument
Item: elga-cdaea
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.10001
Context: hl7:ClinicalDocument/hl7:realmCode
Item: elga-cdaea
-->

<rule context="hl7:ClinicalDocument/hl7:realmCode"
         id="tmp-f4fbb401-771d-4f73-bf53-65cf04259a45">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.10001.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">elga-cdaea: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CS" oder der Datentype MUSS "CS" sein</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ELGA_RealmCode-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ELGA_RealmCode-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.10001.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">elga-cdaea: Der Wert von @code MUSS gewählt werden aus dem Value Set ELGA_RealmCode DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.10001
Context: hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: elga-cdaea
-->

<rule context="hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-18e81c9e-b921-4491-af35-cda805ee80e8">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.10001.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">elga-cdaea: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.10001.html"
              test="@root='2.16.840.1.113883.1.3'">elga-cdaea: @root MUSS den Wert '2.16.840.1.113883.1.3' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.10001.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">elga-cdaea: @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.10001.html"
              test="@extension='POCD_HD000040'">elga-cdaea: Der Wert von @extension MUSS 'POCD_HD000040' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.10001
Context: hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.1']
Item: elga-cdaea
-->

<rule context="hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.1']"
         id="tmp-ebece71e-f394-4c83-9a04-d5f9412efa5a">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.10001.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">elga-cdaea: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.10001.html"
              test="@root='1.2.40.0.34.11.1'">elga-cdaea: @root MUSS den Wert '1.2.40.0.34.11.1' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.10001.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">elga-cdaea: @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.10001
Context: hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.2']
Item: elga-cdaea
-->

<rule context="hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.2']"
         id="tmp-eeeb8e04-e496-44be-a85a-fae1fb1321e4">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.10001.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">elga-cdaea: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.10001.html"
              test="@root='1.2.40.0.34.11.2'">elga-cdaea: @root MUSS den Wert '1.2.40.0.34.11.2' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.10001.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">elga-cdaea: @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.10001
Context: hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.2.0.1' or @root='1.2.40.0.34.11.2.0.2' or @root='1.2.40.0.34.11.2.0.3']
Item: elga-cdaea
-->

<rule context="hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.2.0.1' or @root='1.2.40.0.34.11.2.0.2' or @root='1.2.40.0.34.11.2.0.3']"
         id="tmp-2970141a-1efb-4c4a-bcf6-7cc4425e7229">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.10001.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">elga-cdaea: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.10001.html"
              test="@root='1.2.40.0.34.11.2.0.1' or @root='1.2.40.0.34.11.2.0.2' or @root='1.2.40.0.34.11.2.0.3'">elga-cdaea: @root MUSS den Wert '1.2.40.0.34.11.2.0.1|1.2.40.0.34.11.2.0.2|1.2.40.0.34.11.2.0.3' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.10001.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">elga-cdaea: @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>
</pattern>