<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.10
Description: Auflistung weiterer Behandlungstermine, Kontrollen und Wiederbestellungen.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.10">
   <title>Termine, Kontrollen, Wiederbestellung</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.10
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']]
Item: (TMP TermineKontrollenWiederbestellung)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.10
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']]/hl7:section
Item: (TMP TermineKontrollenWiederbestellung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']]/hl7:section"
         id="tmp-48f33597-c795-4919-9d9e-fdcd83b81da0">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.10.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.10'])&gt;=1 ">(TMP TermineKontrollenWiederbestellung): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.10'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.10.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.10'])&lt;=1">(TMP TermineKontrollenWiederbestellung): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.10'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.10.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP TermineKontrollenWiederbestellung): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.10.html"
              test="count(hl7:code)&lt;=1">(TMP TermineKontrollenWiederbestellung): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.10.html"
              test="count(hl7:title)&gt;=1 ">(TMP TermineKontrollenWiederbestellung): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.10.html"
              test="count(hl7:title)&lt;=1">(TMP TermineKontrollenWiederbestellung): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.10.html"
              test="count(hl7:text)&gt;=1 ">(TMP TermineKontrollenWiederbestellung): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.10.html"
              test="count(hl7:text)&lt;=1">(TMP TermineKontrollenWiederbestellung): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.10
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.10']
Item: (TMP TermineKontrollenWiederbestellung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.10']"
         id="tmp-c022d72f-ad2f-47ea-b673-6c65423252ed">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.10.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP TermineKontrollenWiederbestellung): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.10.html"
              test="@root='1.2.40.0.34.11.2.2.10'">(TMP TermineKontrollenWiederbestellung): @root MUSS den Wert '1.2.40.0.34.11.2.2.10' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.10.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP TermineKontrollenWiederbestellung): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.10
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']]/hl7:section/hl7:code
Item: (TMP TermineKontrollenWiederbestellung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']]/hl7:section/hl7:code"
         id="tmp-e7903efa-7e0e-4e19-a7a0-1dfab0399bb1">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.10.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP TermineKontrollenWiederbestellung): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.10.html"
              test="@nullFlavor or (@code='TERMIN' and @codeSystem='1.2.40.0.34.5.40')">(TMP TermineKontrollenWiederbestellung): Der Wert von @code/@codeSystem MUSS 'TERMIN' codeSystem '1.2.40.0.34.5.40' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.10
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']]/hl7:section/hl7:title
Item: (TMP TermineKontrollenWiederbestellung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']]/hl7:section/hl7:title"
         id="tmp-eab4cada-b1bf-4e6c-81ce-773bdfca4024">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.10.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP TermineKontrollenWiederbestellung): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.10.html"
              test="text()='Termine, Kontrollen, Wiederbestellung'">(TMP TermineKontrollenWiederbestellung): Der Elementinhalt von 'hl7:title' MUSS ''Termine, Kontrollen, Wiederbestellung'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.10
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']]/hl7:section/hl7:text
Item: (TMP TermineKontrollenWiederbestellung)
-->
</pattern>