<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.13
Description: Beschreibung der Allergien und Medikamentenunverträglichkeiten und deren beobachteten Nebenwirkungen, sowie sonstiger Risiken
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.13">
   <title>Allergien, Unverträglichkeiten und Risiken</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.13
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.13']]
Item: (TMP AllergienUnverträglichkeitenRisiken)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.13
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.13']]/hl7:section
Item: (TMP AllergienUnverträglichkeitenRisiken)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.13']]/hl7:section"
         id="tmp-af2c1d73-ba6e-4181-9615-aa7d4894be78">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.13.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.13'])&gt;=1 ">(TMP AllergienUnverträglichkeitenRisiken): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.13'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.13.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.13'])&lt;=1">(TMP AllergienUnverträglichkeitenRisiken): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.13'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.13.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP AllergienUnverträglichkeitenRisiken): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.13.html"
              test="count(hl7:code)&lt;=1">(TMP AllergienUnverträglichkeitenRisiken): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.13.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(TMP AllergienUnverträglichkeitenRisiken): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.13.html"
              test="count(hl7:title)&lt;=1">(TMP AllergienUnverträglichkeitenRisiken): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.13.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP AllergienUnverträglichkeitenRisiken): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.13.html"
              test="count(hl7:text)&lt;=1">(TMP AllergienUnverträglichkeitenRisiken): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.13
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.13']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.13']
Item: (TMP AllergienUnverträglichkeitenRisiken)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.13']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.13']"
         id="tmp-f1e6d313-4d25-4407-9494-50ad42fedc6b">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.13.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP AllergienUnverträglichkeitenRisiken): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.13.html"
              test="@root='1.2.40.0.34.11.2.2.13'">(TMP AllergienUnverträglichkeitenRisiken): @root MUSS den Wert '1.2.40.0.34.11.2.2.13' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.13.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP AllergienUnverträglichkeitenRisiken): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.13
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.13']]/hl7:section/hl7:code
Item: (TMP AllergienUnverträglichkeitenRisiken)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.13']]/hl7:section/hl7:code"
         id="tmp-449dbe5a-1c75-4257-8901-a94f5f2cd8c7">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.13.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP AllergienUnverträglichkeitenRisiken): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.13.html"
              test="@nullFlavor or (@code='48765-2' and @codeSystem='2.16.840.1.113883.6.1')">(TMP AllergienUnverträglichkeitenRisiken): Der Wert von @code/@codeSystem MUSS '48765-2' codeSystem '2.16.840.1.113883.6.1' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.13
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.13']]/hl7:section/hl7:title
Item: (TMP AllergienUnverträglichkeitenRisiken)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.13']]/hl7:section/hl7:title"
         id="tmp-564c7d8a-9538-40f9-8ba0-606824772ccd">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.13.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP AllergienUnverträglichkeitenRisiken): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.13.html"
              test="text()='Allergien und Medikamentenunverträglichkeiten'">(TMP AllergienUnverträglichkeitenRisiken): Der Elementinhalt von 'hl7:title' MUSS ''Allergien und Medikamentenunverträglichkeiten'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.13
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.13']]/hl7:section/hl7:text
Item: (TMP AllergienUnverträglichkeitenRisiken)
-->
</pattern>