<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.14
Description: Ein Befund ist die Dokumentation einer diagnostischen Maßnahme oder einer Konsultation. Als „Befund“ gelten nicht nur typische diagnostische Befunde (Laborbefunde, Radiologiebefunde,
                …), sondern jegliche Dokumentationen von diagnostischen Maßnahmen oder Konsultationen (OP-Berichte, etc). Diese Sektion enthält selbst keine Daten, sondern beinhaltet
                Untersektionen zur Aufnahme der eigentlichen Befund-Informationen. Es MUSS mindestens eine Untersektion angegeben sein.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.14">
   <title>Erhobene Befunde</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.14
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.14']]
Item: (TMP Befunde)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.14
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.14']]/hl7:section
Item: (TMP Befunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.14']]/hl7:section"
         id="tmp-cbf21a80-33b8-43ab-a5c2-7c5aca65f683">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.14.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.14'])&gt;=1 ">(TMP Befunde): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.14'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.14.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.14'])&lt;=1">(TMP Befunde): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.14'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.14.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.29'])&gt;=1 ">(TMP Befunde): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.29'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.14.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.29'])&lt;=1">(TMP Befunde): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.29'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.14.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP Befunde): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.14.html"
              test="count(hl7:code)&lt;=1">(TMP Befunde): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.14.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(TMP Befunde): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.14.html"
              test="count(hl7:title)&lt;=1">(TMP Befunde): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.14.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP Befunde): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.14.html"
              test="count(hl7:text)&lt;=1">(TMP Befunde): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.14.html"
              test="count(hl7:component)&gt;=1 and not(hl7:component/@nullFlavor)">(TMP Befunde): Element hl7:component ist mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.14
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.14']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.14']
Item: (TMP Befunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.14']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.14']"
         id="tmp-219d74f1-b363-4d82-b665-90cd260e4551">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.14.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP Befunde): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.14.html"
              test="@root='1.2.40.0.34.11.2.2.14'">(TMP Befunde): @root MUSS den Wert '1.2.40.0.34.11.2.2.14' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.14.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Befunde): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.14
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.14']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.29']
Item: (TMP Befunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.14']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.29']"
         id="tmp-2d359ff3-21e1-4227-af52-15bce0fd8cb0">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.14.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP Befunde): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.14.html"
              test="@root='1.3.6.1.4.1.19376.1.5.3.1.3.29'">(TMP Befunde): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.3.29' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.14.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Befunde): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.14
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.14']]/hl7:section/hl7:code
Item: (TMP Befunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.14']]/hl7:section/hl7:code"
         id="tmp-80b15e30-d7b6-4160-87f5-fe75de00d2f2">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.14.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Befunde): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.14.html"
              test="@nullFlavor or (@code='11493-4' and @codeSystem='2.16.840.1.113883.6.1')">(TMP Befunde): Der Wert von @code/@codeSystem MUSS '11493-4' codeSystem '2.16.840.1.113883.6.1' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.14
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.14']]/hl7:section/hl7:title
Item: (TMP Befunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.14']]/hl7:section/hl7:title"
         id="tmp-94a413d2-94fa-475d-a9d3-3470a148a463">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.14.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP Befunde): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.14.html"
              test="text()='Erhobene Befunde'">(TMP Befunde): Der Elementinhalt von 'hl7:title' MUSS ''Erhobene Befunde'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.14
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.14']]/hl7:section/hl7:text
Item: (TMP Befunde)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.14
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.14']]/hl7:section/hl7:component
Item: (TMP Befunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.14']]/hl7:section/hl7:component"
         id="tmp-34932b9a-cbba-4881-bea2-d186548cdfc2">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.14.html"
              test="count(hl7:section)&gt;=1 ">(TMP Befunde): Element hl7:section ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.14.html"
              test="count(hl7:section)&lt;=1">(TMP Befunde): Element hl7:section kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.14
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.14']]/hl7:section/hl7:component/hl7:section
Item: (TMP Befunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.14']]/hl7:section/hl7:component/hl7:section"
         id="tmp-c5cfff8d-47cf-496b-a84e-f0a6558275b0">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.14.html"
              test="count(hl7:templateId)&gt;=1 ">(TMP Befunde): Element hl7:templateId ist required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.14
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.14']]/hl7:section/hl7:component/hl7:section/hl7:templateId
Item: (TMP Befunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.14']]/hl7:section/hl7:component/hl7:section/hl7:templateId"
         id="tmp-b7a4d64a-b8ac-4b62-bbde-6c4b07845127">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.14.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP Befunde): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>