<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.16
Description: Beinhaltet Auszüge von Befunden in narrativer Form. Die Angabe der Auszüge erfolgt nach Ermessen des Dokumenterstellers, allerdings soll zu jedem Auszug mindestens das Datum und
                die Art des Ursprungsbefundes angegeben werden.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.16">
   <title>Auszüge aus erhobenen Befunden</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.16
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.16']]
Item: (TMP AuszügeBefunde)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.16
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.16']]/hl7:section
Item: (TMP AuszügeBefunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.16']]/hl7:section"
         id="tmp-9f9eb88d-6e9b-43e5-a858-bdf3e0413184">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.16.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.16'])&gt;=1 ">(TMP AuszügeBefunde): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.16'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.16.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.16'])&lt;=1">(TMP AuszügeBefunde): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.16'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.16.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP AuszügeBefunde): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.16.html"
              test="count(hl7:code)&lt;=1">(TMP AuszügeBefunde): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.16.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(TMP AuszügeBefunde): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.16.html"
              test="count(hl7:title)&lt;=1">(TMP AuszügeBefunde): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.16.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP AuszügeBefunde): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.16.html"
              test="count(hl7:text)&lt;=1">(TMP AuszügeBefunde): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.16
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.16']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.16']
Item: (TMP AuszügeBefunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.16']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.16']"
         id="tmp-56549b0f-da4e-4603-82ca-bd927930d83d">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.16.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP AuszügeBefunde): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.16.html"
              test="@root='1.2.40.0.34.11.2.2.16'">(TMP AuszügeBefunde): @root MUSS den Wert '1.2.40.0.34.11.2.2.16' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.16.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP AuszügeBefunde): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.16
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.16']]/hl7:section/hl7:code
Item: (TMP AuszügeBefunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.16']]/hl7:section/hl7:code"
         id="tmp-0f2be44c-8652-4b51-ae4f-8fcefae1d634">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.16.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP AuszügeBefunde): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.16.html"
              test="@nullFlavor or (@code='BEFERH' and @codeSystem='1.2.40.0.34.5.40')">(TMP AuszügeBefunde): Der Wert von @code/@codeSystem MUSS 'BEFERH' codeSystem '1.2.40.0.34.5.40' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.16
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.16']]/hl7:section/hl7:title
Item: (TMP AuszügeBefunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.16']]/hl7:section/hl7:title"
         id="tmp-a742e8f5-5f82-4268-a7d4-065cd021ef3c">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.16.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP AuszügeBefunde): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.16.html"
              test="text()='Auszüge aus erhobenen Befunden'">(TMP AuszügeBefunde): Der Elementinhalt von 'hl7:title' MUSS ''Auszüge aus erhobenen Befunden'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.16
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.16']]/hl7:section/hl7:text
Item: (TMP AuszügeBefunde)
-->
</pattern>