<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.2
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.2">
   <title>Entlassungsdiagnose (enhanced)</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]
Item: (TMP EntlassungsdiagnoseEnhanced)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section
Item: (TMP EntlassungsdiagnoseEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section"
         id="tmp-796593de-0a4a-48a2-b304-7811485d3385">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.2'])&gt;=1 ">(TMP EntlassungsdiagnoseEnhanced): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.2'])&lt;=1">(TMP EntlassungsdiagnoseEnhanced): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.2'] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.2']
Item: (TMP EntlassungsdiagnoseEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.2']"
         id="tmp-09136257-385a-45c9-9b2f-5d762d9031e7">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.2.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP EntlassungsdiagnoseEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.2.html"
              test="@root='1.2.40.0.34.11.2.2.2'">(TMP EntlassungsdiagnoseEnhanced): @root MUSS den Wert '1.2.40.0.34.11.2.2.2' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.2.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP EntlassungsdiagnoseEnhanced): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:code
Item: (TMP EntlassungsdiagnoseEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:code"
         id="tmp-35873e8c-019a-42c5-b9a2-4c2a2caab9e9">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.2.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP EntlassungsdiagnoseEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.2.html"
              test="@nullFlavor or (@code='11535-2' and @codeSystem='2.16.840.1.113883.6.1')">(TMP EntlassungsdiagnoseEnhanced): Der Wert von @code/@codeSystem MUSS '11535-2' codeSystem '2.16.840.1.113883.6.1' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section
Item: (TMP EntlassungsdiagnoseEnhanced)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:title
Item: (TMP EntlassungsdiagnoseEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:title"
         id="tmp-8e1ba4fd-710d-4f90-8c75-c8543612a7f9">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.2.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP EntlassungsdiagnoseEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.2.html"
              test="text()='Entlassungsdiagnosen' or text()='Diagnosen bei Entlassung'">(TMP EntlassungsdiagnoseEnhanced): Der Elementinhalt von 'hl7:title' MUSS ''Entlassungsdiagnosen' oder 'Diagnosen bei Entlassung'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:title
Item: (TMP EntlassungsdiagnoseEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:title"
         id="tmp-635251ca-38c1-4622-b3cd-a7c5906bb873">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.2.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP EntlassungsdiagnoseEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.2.html"
              test="text()='Diagnosen bei Entlassung'">(TMP EntlassungsdiagnoseEnhanced): Der Elementinhalt von 'hl7:title' MUSS ''Diagnosen bei Entlassung'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:text
Item: (TMP EntlassungsdiagnoseEnhanced)
-->
</pattern>