<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.20
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.20">
   <title>Medikation bei Einweisung (enhanced)</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.20
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.20']]
Item: (TMP MedikationEinweisungEnhanced)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.20
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.20']]/hl7:section
Item: (TMP MedikationEinweisungEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.20']]/hl7:section"
         id="tmp-e38b3d3b-e5cf-40f7-aa07-374b1a0980e4">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.20.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.20'])&gt;=1 ">(TMP MedikationEinweisungEnhanced): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.20'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.20.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.20'])&lt;=1">(TMP MedikationEinweisungEnhanced): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.20'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.20.html"
              test="count(hl7:entry)=0">(TMP MedikationEinweisungEnhanced): element hl7:entry MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.20
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.20']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.20']
Item: (TMP MedikationEinweisungEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.20']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.20']"
         id="tmp-d8242601-d877-4c35-a313-9a347ffa2a1b">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.20.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP MedikationEinweisungEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.20.html"
              test="@root='1.2.40.0.34.11.2.2.20'">(TMP MedikationEinweisungEnhanced): @root MUSS den Wert '1.2.40.0.34.11.2.2.20' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.20.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP MedikationEinweisungEnhanced): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.20
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.20']]/hl7:section/hl7:code
Item: (TMP MedikationEinweisungEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.20']]/hl7:section/hl7:code"
         id="tmp-2da70c4e-11f6-4696-9ffe-8af19d9efc73">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.20.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP MedikationEinweisungEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.20.html"
              test="@nullFlavor or (@code='42346-7' and @codeSystem='2.16.840.1.113883.6.1')">(TMP MedikationEinweisungEnhanced): Der Wert von @code/@codeSystem MUSS '42346-7' codeSystem '2.16.840.1.113883.6.1' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.20
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.20']]/hl7:section/hl7:title
Item: (TMP MedikationEinweisungEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.20']]/hl7:section/hl7:title"
         id="tmp-186b47c6-a724-42eb-92c0-b5f5111b56dd">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.20.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP MedikationEinweisungEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.20.html"
              test="text()='Medikation bei Einweisung'">(TMP MedikationEinweisungEnhanced): Der Elementinhalt von 'hl7:title' MUSS ''Medikation bei Einweisung'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.20
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.20']]/hl7:section/hl7:text
Item: (TMP MedikationEinweisungEnhanced)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.20
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.20']]/hl7:section/hl7:entry
Item: (TMP MedikationEinweisungEnhanced)
-->
</pattern>