<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.22
Description: Sämtliche verabreichte Medikation während des Aufenthalts
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.22">
   <title>Verabreichte Medikation während des Aufenthalts</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.22
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.22']]
Item: (TMP MedikationAufenthalt)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.22
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.22']]/hl7:section
Item: (TMP MedikationAufenthalt)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.22']]/hl7:section"
         id="tmp-309f4e88-be07-44cd-a47e-e364afbfa809">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.22.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.22'])&gt;=1 ">(TMP MedikationAufenthalt): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.22'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.22.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.22'])&lt;=1">(TMP MedikationAufenthalt): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.22'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.22.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP MedikationAufenthalt): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.22.html"
              test="count(hl7:code)&lt;=1">(TMP MedikationAufenthalt): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.22.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(TMP MedikationAufenthalt): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.22.html"
              test="count(hl7:title)&lt;=1">(TMP MedikationAufenthalt): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.22.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP MedikationAufenthalt): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.22.html"
              test="count(hl7:text)&lt;=1">(TMP MedikationAufenthalt): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.22
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.22']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.22']
Item: (TMP MedikationAufenthalt)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.22']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.22']"
         id="tmp-aa229446-7ba6-48d0-9a8d-7bd751ca335e">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.22.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP MedikationAufenthalt): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.22.html"
              test="@root='1.2.40.0.34.11.2.2.22'">(TMP MedikationAufenthalt): @root MUSS den Wert '1.2.40.0.34.11.2.2.22' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.22.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP MedikationAufenthalt): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.22
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.22']]/hl7:section/hl7:code
Item: (TMP MedikationAufenthalt)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.22']]/hl7:section/hl7:code"
         id="tmp-06cea88a-58a8-4852-8007-e2ad4932b4d5">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.22.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP MedikationAufenthalt): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.22.html"
              test="@nullFlavor or (@code='18610-6' and @codeSystem='2.16.840.1.113883.6.1')">(TMP MedikationAufenthalt): Der Wert von @code/@codeSystem MUSS '18610-6' codeSystem '2.16.840.1.113883.6.1' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.22
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.22']]/hl7:section/hl7:title
Item: (TMP MedikationAufenthalt)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.22']]/hl7:section/hl7:title"
         id="tmp-4493fc7b-d813-4b3b-8d25-2cece4f8358e">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.22.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP MedikationAufenthalt): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.22.html"
              test="text()='Verabreichte Medikation während des Aufenthalts'">(TMP MedikationAufenthalt): Der Elementinhalt von 'hl7:title' MUSS ''Verabreichte Medikation während des Aufenthalts'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.22
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.22']]/hl7:section/hl7:text
Item: (TMP MedikationAufenthalt)
-->
</pattern>