<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.3
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.3">
   <title>Entlassungsdiagnose (full support)</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]
Item: (TMP EntlassungsdiagnoseFull)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section
Item: (TMP EntlassungsdiagnoseFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section"
         id="tmp-0144fce8-7a2d-4369-95a4-f813bde3b19a">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.3'])&gt;=1 ">(TMP EntlassungsdiagnoseFull): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.3'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.3'])&lt;=1">(TMP EntlassungsdiagnoseFull): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.7'])&gt;=1 ">(TMP EntlassungsdiagnoseFull): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.7'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.7'])&lt;=1">(TMP EntlassungsdiagnoseFull): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.7'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="count(hl7:entry)&gt;=1 ">(TMP EntlassungsdiagnoseFull): Element hl7:entry ist required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.3']
Item: (TMP EntlassungsdiagnoseFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.3']"
         id="tmp-f247259a-57f6-4bcb-8903-4823788a8e25">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP EntlassungsdiagnoseFull): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="@root='1.2.40.0.34.11.2.2.3'">(TMP EntlassungsdiagnoseFull): @root MUSS den Wert '1.2.40.0.34.11.2.2.3' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP EntlassungsdiagnoseFull): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.7']
Item: (TMP EntlassungsdiagnoseFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.7']"
         id="tmp-d9dc6947-f7e0-482b-a5b4-7bc66dda9587">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP EntlassungsdiagnoseFull): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="@root='1.3.6.1.4.1.19376.1.5.3.1.3.7'">(TMP EntlassungsdiagnoseFull): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.3.7' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP EntlassungsdiagnoseFull): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:code
Item: (TMP EntlassungsdiagnoseFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:code"
         id="tmp-8d0879b5-b79b-41eb-890a-6e14123c2ee2">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP EntlassungsdiagnoseFull): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="@nullFlavor or (@code='11535-2' and @codeSystem='2.16.840.1.113883.6.1')">(TMP EntlassungsdiagnoseFull): Der Wert von @code/@codeSystem MUSS '11535-2' codeSystem '2.16.840.1.113883.6.1' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section
Item: (TMP EntlassungsdiagnoseFull)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:title
Item: (TMP EntlassungsdiagnoseFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:title"
         id="tmp-6a9f378f-014d-4637-bc85-53378a17615f">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP EntlassungsdiagnoseFull): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="text()='Entlassungsdiagnosen' or text()='Diagnosen bei Entlassung'">(TMP EntlassungsdiagnoseFull): Der Elementinhalt von 'hl7:title' MUSS ''Entlassungsdiagnosen' oder 'Diagnosen bei Entlassung'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:title
Item: (TMP EntlassungsdiagnoseFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:title"
         id="tmp-6a26d5e5-aa67-4bfc-a150-3d0e902b7c86">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP EntlassungsdiagnoseFull): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="text()='Diagnosen bei Entlassung'">(TMP EntlassungsdiagnoseFull): Der Elementinhalt von 'hl7:title' MUSS ''Diagnosen bei Entlassung'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:text
Item: (TMP EntlassungsdiagnoseFull)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry
Item: (TMP EntlassungsdiagnoseFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry"
         id="tmp-1bf86d95-e0aa-41e4-8aad-2231e73e5c03">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="@typeCode='DRIV' or not(@typeCode)">(TMP EntlassungsdiagnoseFull): Der Wert von @typeCode MUSS 'DRIV' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry
Item: (TMP EntlassungsdiagnoseFull)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act
Item: (TMP EntlassungsdiagnoseFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act"
         id="tmp-89ec9576-9bc0-4396-9934-09d0d594899f">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="@classCode='ACT' ">(TMP EntlassungsdiagnoseFull): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="@moodCode='EVN' ">(TMP EntlassungsdiagnoseFull): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.3.1'])&gt;=1 ">(TMP EntlassungsdiagnoseFull): Element hl7:templateId[@root='1.2.40.0.34.11.2.3.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.3.1'])&lt;=1">(TMP EntlassungsdiagnoseFull): Element hl7:templateId[@root='1.2.40.0.34.11.2.3.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.5'])&gt;=1 ">(TMP EntlassungsdiagnoseFull): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.5'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.5'])&lt;=1">(TMP EntlassungsdiagnoseFull): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.5'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1'])&gt;=1 ">(TMP EntlassungsdiagnoseFull): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1'])&lt;=1">(TMP EntlassungsdiagnoseFull): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2'])&gt;=1 ">(TMP EntlassungsdiagnoseFull): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2'])&lt;=1">(TMP EntlassungsdiagnoseFull): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.27'])&gt;=1 ">(TMP EntlassungsdiagnoseFull): Element hl7:templateId[@root='2.16.840.1.113883.10.20.1.27'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.27'])&lt;=1">(TMP EntlassungsdiagnoseFull): Element hl7:templateId[@root='2.16.840.1.113883.10.20.1.27'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="count(hl7:entryRelationship)&gt;=1 and not(hl7:entryRelationship/@nullFlavor)">(TMP EntlassungsdiagnoseFull): Element hl7:entryRelationship ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="count(hl7:entryRelationship)&lt;=1">(TMP EntlassungsdiagnoseFull): Element hl7:entryRelationship kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.2.3.1']
Item: (TMP EntlassungsdiagnoseFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.2.3.1']"
         id="tmp-a46ce3da-80f0-4ad6-8577-f2b9e1989bea">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP EntlassungsdiagnoseFull): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="@root='1.2.40.0.34.11.2.3.1'">(TMP EntlassungsdiagnoseFull): @root MUSS den Wert '1.2.40.0.34.11.2.3.1' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP EntlassungsdiagnoseFull): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.1.3.5']
Item: (TMP EntlassungsdiagnoseFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.1.3.5']"
         id="tmp-50db0763-b782-4bba-958e-7ad68355dd4d">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP EntlassungsdiagnoseFull): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="@root='1.2.40.0.34.11.1.3.5'">(TMP EntlassungsdiagnoseFull): @root MUSS den Wert '1.2.40.0.34.11.1.3.5' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP EntlassungsdiagnoseFull): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1']
Item: (TMP EntlassungsdiagnoseFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1']"
         id="tmp-08c78472-5721-4604-a62f-bef0a533aed0">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP EntlassungsdiagnoseFull): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1'">(TMP EntlassungsdiagnoseFull): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.4.5.1' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP EntlassungsdiagnoseFull): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2']
Item: (TMP EntlassungsdiagnoseFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2']"
         id="tmp-6e249860-0cc8-467b-8948-980126c62b11">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP EntlassungsdiagnoseFull): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2'">(TMP EntlassungsdiagnoseFull): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.4.5.2' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP EntlassungsdiagnoseFull): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.27']
Item: (TMP EntlassungsdiagnoseFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.27']"
         id="tmp-82a6d3bb-57f5-458e-a0d2-1852705d6bc9">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP EntlassungsdiagnoseFull): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="@root='2.16.840.1.113883.10.20.1.27'">(TMP EntlassungsdiagnoseFull): @root MUSS den Wert '2.16.840.1.113883.10.20.1.27' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP EntlassungsdiagnoseFull): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship
Item: (TMP EntlassungsdiagnoseFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship"
         id="tmp-f0807fec-8ed8-4eb5-bb10-9e2e1f162031">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(TMP EntlassungsdiagnoseFull): Element hl7:observation ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="count(hl7:observation)&lt;=1">(TMP EntlassungsdiagnoseFull): Element hl7:observation kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation
Item: (TMP EntlassungsdiagnoseFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation"
         id="tmp-f0599ad2-8521-4a15-a411-0e9b5414176c">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.6'])&gt;=1 ">(TMP EntlassungsdiagnoseFull): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.6'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.6'])&lt;=1">(TMP EntlassungsdiagnoseFull): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.6'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP EntlassungsdiagnoseFull): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="count(hl7:code)&lt;=1">(TMP EntlassungsdiagnoseFull): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP EntlassungsdiagnoseFull): Element hl7:value ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="count(hl7:value)&lt;=1">(TMP EntlassungsdiagnoseFull): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:templateId[@root='1.2.40.0.34.11.1.3.6']
Item: (TMP EntlassungsdiagnoseFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:templateId[@root='1.2.40.0.34.11.1.3.6']"
         id="tmp-6c108aa6-67d5-437a-83fe-37452b88cc68">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP EntlassungsdiagnoseFull): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="@root='1.2.40.0.34.11.1.3.6'">(TMP EntlassungsdiagnoseFull): @root MUSS den Wert '1.2.40.0.34.11.1.3.6' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP EntlassungsdiagnoseFull): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:code
Item: (TMP EntlassungsdiagnoseFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:code"
         id="tmp-8c75a90c-4589-419c-a6ce-dfb73f9eacf2">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP EntlassungsdiagnoseFull): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="@nullFlavor or (@code='282291009' and @displayName='Diagnosis')">(TMP EntlassungsdiagnoseFull): Der Wert von @code MUSS '282291009' displayName='Diagnosis' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:value
Item: (TMP EntlassungsdiagnoseFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:value"
         id="tmp-531ea43b-7f82-443f-bc30-c645eea4f40c">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP EntlassungsdiagnoseFull): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CD" oder der Datentype MUSS "CD" sein</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.3.html"
              test="@nullFlavor or (@codeSystem='1.2.40.0.34.5.1')">(TMP EntlassungsdiagnoseFull): Der Wert von @codeSystem MUSS '1.2.40.0.34.5.1' sein.</assert>
   </rule>
</pattern>