<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.4
Description: Kurzbeschreibung sämtlicher während des Aufenthalts durchgeführten Maßnahmen, wie OPs, Eingriffe oder sonstige Maßnahmen.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.4">
   <title>Durchgeführte Maßnahmen</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.4']]
Item: (TMP DurchgeführteMaßnahmen)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.4']]/hl7:section
Item: (TMP DurchgeführteMaßnahmen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.4']]/hl7:section"
         id="tmp-4b7567cc-2cad-4b16-8709-4df4c594e71f">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.4.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.4'])&gt;=1 ">(TMP DurchgeführteMaßnahmen): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.4'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.4.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.4'])&lt;=1">(TMP DurchgeführteMaßnahmen): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.4'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.4.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP DurchgeführteMaßnahmen): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.4.html"
              test="count(hl7:code)&lt;=1">(TMP DurchgeführteMaßnahmen): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.4.html"
              test="count(hl7:title)&gt;=1 ">(TMP DurchgeführteMaßnahmen): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.4.html"
              test="count(hl7:title)&lt;=1">(TMP DurchgeführteMaßnahmen): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.4.html"
              test="count(hl7:text)&gt;=1 ">(TMP DurchgeführteMaßnahmen): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.4.html"
              test="count(hl7:text)&lt;=1">(TMP DurchgeführteMaßnahmen): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.4']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.4']
Item: (TMP DurchgeführteMaßnahmen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.4']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.4']"
         id="tmp-d7865735-0685-4ce2-898b-8297e26e2f32">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.4.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP DurchgeführteMaßnahmen): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.4.html"
              test="@root='1.2.40.0.34.11.2.2.4'">(TMP DurchgeführteMaßnahmen): @root MUSS den Wert '1.2.40.0.34.11.2.2.4' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.4.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP DurchgeführteMaßnahmen): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.4']]/hl7:section/hl7:code
Item: (TMP DurchgeführteMaßnahmen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.4']]/hl7:section/hl7:code"
         id="tmp-e0c9fb10-acb1-4f58-bd7f-1a2c82d3a74e">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.4.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP DurchgeführteMaßnahmen): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.4.html"
              test="@nullFlavor or (@code='29554-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Procedures')">(TMP DurchgeführteMaßnahmen): Der Wert von @code/@codeSystem MUSS '29554-3' codeSystem '2.16.840.1.113883.6.1' displayName='Procedures' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.4']]/hl7:section/hl7:title
Item: (TMP DurchgeführteMaßnahmen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.4']]/hl7:section/hl7:title"
         id="tmp-a1064816-2ea1-48d7-bc48-a5a7f1885b55">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.4.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP DurchgeführteMaßnahmen): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.4.html"
              test="text()='Durchgeführte Maßnahmen'">(TMP DurchgeführteMaßnahmen): Der Elementinhalt von 'hl7:title' MUSS ''Durchgeführte Maßnahmen'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.4']]/hl7:section/hl7:text
Item: (TMP DurchgeführteMaßnahmen)
-->
</pattern>