<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.7
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.7">
   <title>Empfohlene Medikation (enhanced)</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.7
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.7']]
Item: (TMP EmpfohleneMedikationEnhanced)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.7
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.7']]/hl7:section
Item: (TMP EmpfohleneMedikationEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.7']]/hl7:section"
         id="tmp-e2494598-36e4-4ddd-a3c0-cf70bcd74586">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.7.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.7'])&gt;=1 ">(TMP EmpfohleneMedikationEnhanced): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.7'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.7.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.7'])&lt;=1">(TMP EmpfohleneMedikationEnhanced): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.7'] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.7
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.7']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.7']
Item: (TMP EmpfohleneMedikationEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.7']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.7']"
         id="tmp-b859037d-ee57-4c21-8957-bf7654d441b0">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.7.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP EmpfohleneMedikationEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.7.html"
              test="@root='1.2.40.0.34.11.2.2.7'">(TMP EmpfohleneMedikationEnhanced): @root MUSS den Wert '1.2.40.0.34.11.2.2.7' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.7.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP EmpfohleneMedikationEnhanced): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.7
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.7']]/hl7:section/hl7:code
Item: (TMP EmpfohleneMedikationEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.7']]/hl7:section/hl7:code"
         id="tmp-b87dde24-1ba0-4bbb-a787-6938f605a11c">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.7.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP EmpfohleneMedikationEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.7.html"
              test="@nullFlavor or (@code='10183-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Hospital discharge medications')">(TMP EmpfohleneMedikationEnhanced): Der Wert von @code/@codeSystem MUSS '10183-2' codeSystem '2.16.840.1.113883.6.1' displayName='Hospital discharge medications' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.7
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.7']]/hl7:section/hl7:title
Item: (TMP EmpfohleneMedikationEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.7']]/hl7:section/hl7:title"
         id="tmp-204d4bec-167a-43b1-82ae-b6feeb64b2ea">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.7.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP EmpfohleneMedikationEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.2.2.7.html"
              test="text()='Empfohlene Medikation'">(TMP EmpfohleneMedikationEnhanced): Der Elementinhalt von 'hl7:title' MUSS ''Empfohlene Medikation'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.7
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.7']]/hl7:section/hl7:text
Item: (TMP EmpfohleneMedikationEnhanced)
-->
</pattern>