<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.3.2.1
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.3.2.1">
   <title>Pflege- und Betreuungsdiagnosen (enhanced)</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section"
         id="tmp-50e91ca0-4edf-46e6-b3d2-31a2712630b9">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.1'])&gt;=1 ">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.1'])&lt;=1">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:entry)=0">(TMP PflegeBetreuungsdiagnosenEnhanced): element hl7:entry MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.1']
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.1']"
         id="tmp-f59f84e1-7541-4a4d-b656-0f5667fd2b6c">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@root='1.2.40.0.34.11.3.2.1'">(TMP PflegeBetreuungsdiagnosenEnhanced): @root MUSS den Wert '1.2.40.0.34.11.3.2.1' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP PflegeBetreuungsdiagnosenEnhanced): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:effectiveTime[2]
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:doseQuantity
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship"
         id="tmp-03281767-b4b3-48da-9456-1e00e5d34ceb">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@typeCode='COMP' ">(TMP PflegeBetreuungsdiagnosenEnhanced): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:sequenceNumber)&gt;=1 and not(hl7:sequenceNumber/@nullFlavor)">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:sequenceNumber ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:substanceAdministration)&gt;=1 and not(hl7:substanceAdministration/@nullFlavor)">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:substanceAdministration ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:substanceAdministration)&lt;=1">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:substanceAdministration kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:sequenceNumber
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:sequenceNumber"
         id="tmp-44168080-02aa-45af-957b-26d0ce8c5f74">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "INT" oder der Datentype MUSS "INT" sein</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="$digitok">(TMP PflegeBetreuungsdiagnosenEnhanced): @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration"
         id="tmp-96d7143a-f995-455c-85d7-4945f21d9a23">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@classCode='SBADM' ">(TMP PflegeBetreuungsdiagnosenEnhanced): Der Wert von @classCode MUSS 'SBADM' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@moodCode='EVN' ">(TMP PflegeBetreuungsdiagnosenEnhanced): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'])&gt;=1 ">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'])&lt;=1">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:effectiveTime ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:effectiveTime)&lt;=1">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:doseQuantity)&gt;=1 and not(hl7:doseQuantity/@nullFlavor)">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:doseQuantity ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:doseQuantity)&lt;=1">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:doseQuantity kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:consumable ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:consumable)&lt;=1">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:consumable kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']"
         id="tmp-bc5485e5-e040-4b8b-88e6-6b22edd5639f">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'">(TMP PflegeBetreuungsdiagnosenEnhanced): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.4.7.1' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP PflegeBetreuungsdiagnosenEnhanced): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime"
         id="tmp-900f3557-eed9-4ed2-b379-fe199de499b4">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@nullFlavor or @xsi:type='' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "" oder der Datentype MUSS "" sein</assert>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@operator='A' ">(TMP PflegeBetreuungsdiagnosenEnhanced): Der Wert von @operator MUSS 'A' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:comp[hl7:event])&gt;=1 ">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:comp[hl7:event] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:comp[hl7:event])&lt;=1">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:comp[hl7:event] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:comp[hl7:phase])&gt;=1 ">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:comp[hl7:phase] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:comp[hl7:phase])&lt;=1">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:comp[hl7:phase] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:event]
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:event]"
         id="tmp-5f82641b-d2a4-48bf-80ac-f961f467be57">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@nullFlavor or @xsi:type='' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "" oder der Datentype MUSS "" sein</assert>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:event)&gt;=1 and not(hl7:event/@nullFlavor)">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:event ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:event)&lt;=1">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:event kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:event]/hl7:event
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:event]/hl7:event"
         id="tmp-8fad7932-b9a4-4a08-830c-942360a1ee51">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ELGA_TimingEvent-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ELGA_TimingEvent-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP PflegeBetreuungsdiagnosenEnhanced): Der Wert von @code MUSS gewählt werden aus dem Value Set ELGA_TimingEvent DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]"
         id="tmp-50da9014-4d42-4db5-8dca-9c99cc677033">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@nullFlavor or @xsi:type='' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "" oder der Datentype MUSS "" sein</assert>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@operator='A' ">(TMP PflegeBetreuungsdiagnosenEnhanced): Der Wert von @operator MUSS 'A' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:phase)&gt;=1 ">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:phase ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:phase)&lt;=1">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:phase kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:period)&gt;=1 ">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:period ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:period)&lt;=1">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:period kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:phase
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:phase"
         id="tmp-34aa7154-0e7f-4449-b282-3229b6bc119a">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "IVL_TS" oder der Datentype MUSS "IVL_TS" sein</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:phase/hl7:width
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:phase/hl7:width"
         id="tmp-7a1e806b-0bd4-47ef-b5d7-c251f78bb782">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "PQ" oder der Datentype MUSS "PQ" sein</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="$digitok">(TMP PflegeBetreuungsdiagnosenEnhanced): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(TMP PflegeBetreuungsdiagnosenEnhanced): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@unit='d' ">(TMP PflegeBetreuungsdiagnosenEnhanced): Der Wert von @unit MUSS 'd' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:period
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:period"
         id="tmp-f40533e4-ffe2-4f51-a3d0-73281df9f6ec">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "PQ" oder der Datentype MUSS "PQ" sein</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="$digitok">(TMP PflegeBetreuungsdiagnosenEnhanced): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(TMP PflegeBetreuungsdiagnosenEnhanced): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@unit='d' ">(TMP PflegeBetreuungsdiagnosenEnhanced): Der Wert von @unit MUSS 'd' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:doseQuantity
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:doseQuantity"
         id="tmp-c7ff38a5-1c5a-4c26-8b82-51f68fc2fbd8">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@nullFlavor or @xsi:type='IVL_PQ' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "IVL_PQ" oder der Datentype MUSS "IVL_PQ" sein</assert>
      <extends rule="IVL_PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="not(hl7:low/@value) or matches(hl7:low/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(TMP PflegeBetreuungsdiagnosenEnhanced): value/low @value is not a valid PQ number <value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="not(hl7:high/@value) or matches(hl7:high/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(TMP PflegeBetreuungsdiagnosenEnhanced): value/high @value is not a valid PQ number <value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="not(hl7:center/@value) or matches(hl7:center/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(TMP PflegeBetreuungsdiagnosenEnhanced): value/center @value is not a valid PQ number <value-of select="hl7:center/@value"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable"
         id="tmp-1a23ffaa-33bd-44c1-bd5e-c8346f0de420">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:manufacturedProduct)&gt;=1 and not(hl7:manufacturedProduct/@nullFlavor)">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:manufacturedProduct ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:manufacturedProduct)&lt;=1">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:manufacturedProduct kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct"
         id="tmp-4411dd36-5c55-4cb1-8144-4121a03b3e6b">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:manufacturedMaterial)&gt;=1 and not(hl7:manufacturedMaterial/@nullFlavor)">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:manufacturedMaterial ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="count(hl7:manufacturedMaterial)&lt;=1">(TMP PflegeBetreuungsdiagnosenEnhanced): Element hl7:manufacturedMaterial kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial"
         id="tmp-9308ba2b-e20d-41ba-9782-0166640e7364">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.1.html"
              test="@nullFlavor='NA'">(TMP PflegeBetreuungsdiagnosenEnhanced): Der Wert von @nullFlavor MUSS 'NA' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.1']]/hl7:section/hl7:entry
Item: (TMP PflegeBetreuungsdiagnosenEnhanced)
-->
</pattern>