<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.3.2.2
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.3.2.2">
   <title>Pflege- und Betreuungsdiagnosen (full)</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]
Item: (TMP PflegeBetreuungsdiagnosenFull)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section
Item: (TMP PflegeBetreuungsdiagnosenFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section"
         id="tmp-6b7ec14f-22b5-4af3-a252-d9293b997264">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.2'])&gt;=1 ">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.2'])&lt;=1">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:entry)&gt;=1 ">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:entry ist required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.2']
Item: (TMP PflegeBetreuungsdiagnosenFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.2']"
         id="tmp-f71bb57a-5c56-4dcb-ae22-69472770afda">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenFull): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@root='1.2.40.0.34.11.3.2.2'">(TMP PflegeBetreuungsdiagnosenFull): @root MUSS den Wert '1.2.40.0.34.11.3.2.2' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP PflegeBetreuungsdiagnosenFull): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:effectiveTime[2]
Item: (TMP PflegeBetreuungsdiagnosenFull)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:doseQuantity
Item: (TMP PflegeBetreuungsdiagnosenFull)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship
Item: (TMP PflegeBetreuungsdiagnosenFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship"
         id="tmp-18dedf48-344c-4aeb-a507-cc5ef2ad2eb3">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@typeCode='COMP' ">(TMP PflegeBetreuungsdiagnosenFull): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:sequenceNumber)&gt;=1 and not(hl7:sequenceNumber/@nullFlavor)">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:sequenceNumber ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:substanceAdministration)&gt;=1 and not(hl7:substanceAdministration/@nullFlavor)">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:substanceAdministration ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:substanceAdministration)&lt;=1">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:substanceAdministration kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:sequenceNumber
Item: (TMP PflegeBetreuungsdiagnosenFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:sequenceNumber"
         id="tmp-aba07e4d-38f4-4d5a-939d-880a9afa4452">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenFull): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "INT" oder der Datentype MUSS "INT" sein</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="$digitok">(TMP PflegeBetreuungsdiagnosenFull): @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration
Item: (TMP PflegeBetreuungsdiagnosenFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration"
         id="tmp-51d7ef2d-0129-4ffe-a55f-b26bbb630dd2">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@classCode='SBADM' ">(TMP PflegeBetreuungsdiagnosenFull): Der Wert von @classCode MUSS 'SBADM' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@moodCode='EVN' ">(TMP PflegeBetreuungsdiagnosenFull): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'])&gt;=1 ">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'])&lt;=1">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:effectiveTime ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:effectiveTime)&lt;=1">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:doseQuantity)&gt;=1 and not(hl7:doseQuantity/@nullFlavor)">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:doseQuantity ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:doseQuantity)&lt;=1">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:doseQuantity kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:consumable ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:consumable)&lt;=1">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:consumable kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']
Item: (TMP PflegeBetreuungsdiagnosenFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']"
         id="tmp-711510b2-05d6-4871-b426-777b8f9cc518">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenFull): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'">(TMP PflegeBetreuungsdiagnosenFull): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.4.7.1' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP PflegeBetreuungsdiagnosenFull): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime
Item: (TMP PflegeBetreuungsdiagnosenFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime"
         id="tmp-a41fb58c-ffd7-4303-95f4-baae88ba1d50">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenFull): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "" oder der Datentype MUSS "" sein</assert>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@operator='A' ">(TMP PflegeBetreuungsdiagnosenFull): Der Wert von @operator MUSS 'A' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:comp[hl7:event])&gt;=1 ">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:comp[hl7:event] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:comp[hl7:event])&lt;=1">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:comp[hl7:event] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:comp[hl7:phase])&gt;=1 ">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:comp[hl7:phase] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:comp[hl7:phase])&lt;=1">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:comp[hl7:phase] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:event]
Item: (TMP PflegeBetreuungsdiagnosenFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:event]"
         id="tmp-64a6d681-ca9c-4936-8c79-fbd8879c9f2e">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenFull): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "" oder der Datentype MUSS "" sein</assert>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:event)&gt;=1 and not(hl7:event/@nullFlavor)">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:event ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:event)&lt;=1">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:event kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:event]/hl7:event
Item: (TMP PflegeBetreuungsdiagnosenFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:event]/hl7:event"
         id="tmp-ff2a400b-898e-4437-80a9-6c55aa53c4e5">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenFull): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ELGA_TimingEvent-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ELGA_TimingEvent-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP PflegeBetreuungsdiagnosenFull): Der Wert von @code MUSS gewählt werden aus dem Value Set ELGA_TimingEvent DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]
Item: (TMP PflegeBetreuungsdiagnosenFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]"
         id="tmp-d31e327d-2f63-4cef-97f1-b87264a8d032">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenFull): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "" oder der Datentype MUSS "" sein</assert>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@operator='A' ">(TMP PflegeBetreuungsdiagnosenFull): Der Wert von @operator MUSS 'A' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:phase)&gt;=1 ">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:phase ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:phase)&lt;=1">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:phase kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:period)&gt;=1 ">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:period ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:period)&lt;=1">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:period kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:phase
Item: (TMP PflegeBetreuungsdiagnosenFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:phase"
         id="tmp-0dbd32f3-9e26-4a2c-ba22-0961d3538027">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenFull): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "IVL_TS" oder der Datentype MUSS "IVL_TS" sein</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:phase/hl7:width
Item: (TMP PflegeBetreuungsdiagnosenFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:phase/hl7:width"
         id="tmp-5c10a640-2361-4d4c-b401-9ca9df6fe739">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenFull): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "PQ" oder der Datentype MUSS "PQ" sein</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="$digitok">(TMP PflegeBetreuungsdiagnosenFull): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(TMP PflegeBetreuungsdiagnosenFull): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@unit='d' ">(TMP PflegeBetreuungsdiagnosenFull): Der Wert von @unit MUSS 'd' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:period
Item: (TMP PflegeBetreuungsdiagnosenFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:period"
         id="tmp-9fc7f7c4-39d1-4f5c-a924-57e4e92fc7f6">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenFull): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "PQ" oder der Datentype MUSS "PQ" sein</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="$digitok">(TMP PflegeBetreuungsdiagnosenFull): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(TMP PflegeBetreuungsdiagnosenFull): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@unit='d' ">(TMP PflegeBetreuungsdiagnosenFull): Der Wert von @unit MUSS 'd' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:doseQuantity
Item: (TMP PflegeBetreuungsdiagnosenFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:doseQuantity"
         id="tmp-db4acffb-9630-4924-9718-7042c8ead3b5">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='IVL_PQ' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenFull): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "IVL_PQ" oder der Datentype MUSS "IVL_PQ" sein</assert>
      <extends rule="IVL_PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="not(hl7:low/@value) or matches(hl7:low/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(TMP PflegeBetreuungsdiagnosenFull): value/low @value is not a valid PQ number <value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="not(hl7:high/@value) or matches(hl7:high/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(TMP PflegeBetreuungsdiagnosenFull): value/high @value is not a valid PQ number <value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="not(hl7:center/@value) or matches(hl7:center/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(TMP PflegeBetreuungsdiagnosenFull): value/center @value is not a valid PQ number <value-of select="hl7:center/@value"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable
Item: (TMP PflegeBetreuungsdiagnosenFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable"
         id="tmp-8fb4ab25-caa8-4feb-88a7-5fc8739f0a1f">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:manufacturedProduct)&gt;=1 and not(hl7:manufacturedProduct/@nullFlavor)">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:manufacturedProduct ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:manufacturedProduct)&lt;=1">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:manufacturedProduct kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct
Item: (TMP PflegeBetreuungsdiagnosenFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct"
         id="tmp-c809a33f-62a5-4c48-a2ba-bdba30c2bf4c">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:manufacturedMaterial)&gt;=1 and not(hl7:manufacturedMaterial/@nullFlavor)">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:manufacturedMaterial ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:manufacturedMaterial)&lt;=1">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:manufacturedMaterial kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (TMP PflegeBetreuungsdiagnosenFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial"
         id="tmp-1fdbda50-6476-4f60-8fab-e2a12fe43b3f">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor='NA'">(TMP PflegeBetreuungsdiagnosenFull): Der Wert von @nullFlavor MUSS 'NA' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry
Item: (TMP PflegeBetreuungsdiagnosenFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry"
         id="tmp-72f9e899-c90d-4042-8054-7bba7c7bfcd1">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@typeCode='DRIV' or not(@typeCode)">(TMP PflegeBetreuungsdiagnosenFull): Der Wert von @typeCode MUSS 'DRIV' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry
Item: (TMP PflegeBetreuungsdiagnosenFull)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act
Item: (TMP PflegeBetreuungsdiagnosenFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act"
         id="tmp-7984fe69-19c4-4fea-935e-9eadda1653ea">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@classCode='ACT' ">(TMP PflegeBetreuungsdiagnosenFull): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@moodCode='EVN' ">(TMP PflegeBetreuungsdiagnosenFull): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.3.1'])&gt;=1 ">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:templateId[@root='1.2.40.0.34.11.3.3.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.3.1'])&lt;=1">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:templateId[@root='1.2.40.0.34.11.3.3.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.5'])&gt;=1 ">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.5'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.5'])&lt;=1">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.5'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:statusCode ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:statusCode)&lt;=1">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:entryRelationship)&gt;=1 and not(hl7:entryRelationship/@nullFlavor)">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:entryRelationship ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:entryRelationship)&lt;=1">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:entryRelationship kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.3.3.1']
Item: (TMP PflegeBetreuungsdiagnosenFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.3.3.1']"
         id="tmp-ef89d2e2-20c0-438e-b5c9-702e1693ff55">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenFull): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@root='1.2.40.0.34.11.3.3.1'">(TMP PflegeBetreuungsdiagnosenFull): @root MUSS den Wert '1.2.40.0.34.11.3.3.1' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP PflegeBetreuungsdiagnosenFull): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.1.3.5']
Item: (TMP PflegeBetreuungsdiagnosenFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.1.3.5']"
         id="tmp-fcadc74b-0ead-4c21-90f6-b2491295b14e">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenFull): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@root='1.2.40.0.34.11.1.3.5'">(TMP PflegeBetreuungsdiagnosenFull): @root MUSS den Wert '1.2.40.0.34.11.1.3.5' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP PflegeBetreuungsdiagnosenFull): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:statusCode
Item: (TMP PflegeBetreuungsdiagnosenFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:statusCode"
         id="tmp-01894807-8f98-4711-9ad1-2b826b2f63fc">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenFull): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CS" oder der Datentype MUSS "CS" sein</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or (@code='active')">(TMP PflegeBetreuungsdiagnosenFull): Der Wert von @code MUSS 'active' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship
Item: (TMP PflegeBetreuungsdiagnosenFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship"
         id="tmp-8d254c05-f878-43d3-b089-a71a5dec75c6">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:observation ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:observation)&lt;=1">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:observation kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation
Item: (TMP PflegeBetreuungsdiagnosenFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation"
         id="tmp-97be2ea5-62ca-4360-a931-b248cfadc94d">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.6'])&gt;=1 ">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.6'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.6'])&lt;=1">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.6'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:code)&lt;=1">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:value ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:value)&lt;=1">(TMP PflegeBetreuungsdiagnosenFull): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:templateId[@root='1.2.40.0.34.11.1.3.6']
Item: (TMP PflegeBetreuungsdiagnosenFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:templateId[@root='1.2.40.0.34.11.1.3.6']"
         id="tmp-9d5a08d1-ac94-4529-aa9e-e3a782d925bf">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenFull): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@root='1.2.40.0.34.11.1.3.6'">(TMP PflegeBetreuungsdiagnosenFull): @root MUSS den Wert '1.2.40.0.34.11.1.3.6' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP PflegeBetreuungsdiagnosenFull): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:code
Item: (TMP PflegeBetreuungsdiagnosenFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:code"
         id="tmp-1b6785c8-485a-448c-9dfd-4f3372e4352c">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenFull): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or (@code='282291009' and @displayName='Diagnosis')">(TMP PflegeBetreuungsdiagnosenFull): Der Wert von @code MUSS '282291009' displayName='Diagnosis' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:value
Item: (TMP PflegeBetreuungsdiagnosenFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:value"
         id="tmp-6963fc1b-71ee-4f29-bef5-22a6eb2fd5cc">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnosenFull): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CD" oder der Datentype MUSS "CD" sein</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>