<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.30001
Description: CDA Section
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.30001">
   <title>BodySection</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section
Item: (TMP BodySection)
-->

<rule context="//section" id="tmp-414bd693-8f02-4465-b5b6-88a68e7436d1">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:id)&lt;=1">(TMP BodySection): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:code)&lt;=1">(TMP BodySection): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:title)&gt;=1 ">(TMP BodySection): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:title)&lt;=1">(TMP BodySection): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:text)&gt;=1 ">(TMP BodySection): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:text)&lt;=1">(TMP BodySection): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:templateId
Item: (TMP BodySection)
-->

<rule context="//section/hl7:templateId"
         id="tmp-c77c8675-6d49-4159-b1ab-2cae9479a2af">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP BodySection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:id
Item: (TMP BodySection)
-->

<rule context="//section/hl7:id" id="tmp-3e42cec5-50cb-48eb-a419-2cca366ec58c">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP BodySection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:code
Item: (TMP BodySection)
-->

<rule context="//section/hl7:code" id="tmp-c3a88b03-6b57-47aa-a9ee-d21099ca271b">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP BodySection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:title
Item: (TMP BodySection)
-->

<rule context="//section/hl7:title" id="tmp-8d3340c6-0e1b-4810-98fc-771621d8c91f">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP BodySection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:text
Item: (TMP BodySection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author" id="tmp-39ce1f8a-4bac-44fe-9f43-fb5d626671ec">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="@typeCode='AUT' or not(@typeCode)">(TMP BodySection): Der Wert von @typeCode MUSS 'AUT' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="@contextControlCode='OP' or not(@contextControlCode)">(TMP BodySection): Der Wert von @contextControlCode MUSS 'OP' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:functionCode)&lt;=1">(TMP BodySection): Element hl7:functionCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:time)&gt;=1 ">(TMP BodySection): Element hl7:time ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:time)&lt;=1">(TMP BodySection): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:assignedAuthor)&gt;=1 ">(TMP BodySection): Element hl7:assignedAuthor ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:assignedAuthor)&lt;=1">(TMP BodySection): Element hl7:assignedAuthor kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:functionCode
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:functionCode"
         id="tmp-fdee243f-2a3c-4210-a916-db68e9b739bf">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP BodySection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:time
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:time"
         id="tmp-5a3dfe7a-e545-4fdc-93ce-33a6f5177736">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP BodySection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TS" oder der Datentype MUSS "TS" sein</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor"
         id="tmp-47c890db-cefb-4acb-b65e-551453c0920c">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(TMP BodySection): Der Wert von @classCode MUSS 'ASSIGNED' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:id)&gt;=1 ">(TMP BodySection): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:code)&lt;=1">(TMP BodySection): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <let name="elmcount" value="count(hl7:assignedPerson|hl7:assignedAuthoringDevice)"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="$elmcount&gt;=1">(TMP BodySection): Auswahl (hl7:assignedPerson oder hl7:assignedAuthoringDevice) enthält nicht genügend Elemente [min 1x]</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="$elmcount&lt;=1">(TMP BodySection): Auswahl (hl7:assignedPerson oder hl7:assignedAuthoringDevice) enthält zu viele Elemente [max 1x]</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:representedOrganization)&gt;=1 and not(hl7:representedOrganization/@nullFlavor)">(TMP BodySection): Element hl7:representedOrganization ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:representedOrganization)&lt;=1">(TMP BodySection): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:id
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:id"
         id="tmp-d9beacd6-40f2-4ae6-9586-903848dd70ce">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP BodySection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:code
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:code"
         id="tmp-db74ec93-1779-4d27-a31c-28345d8b5ac1">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP BodySection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ELGA_AuthorSpeciality-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ELGA_AuthorSpeciality-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP BodySection): Der Wert von @code MUSS gewählt werden aus dem Value Set ELGA_AuthorSpeciality DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:telecom
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:telecom"
         id="tmp-34e143ee-b21c-4d6c-9912-de0cfa426dea">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(TMP BodySection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TEL" oder der Datentype MUSS "TEL" sein</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor"
         id="tmp-49918171-d10e-4c22-b73f-bcb2f92156a5">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(TMP BodySection): Element hl7:assignedPerson ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:assignedPerson)&lt;=1">(TMP BodySection): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:assignedAuthoringDevice)&gt;=1 and not(hl7:assignedAuthoringDevice/@nullFlavor)">(TMP BodySection): Element hl7:assignedAuthoringDevice ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:assignedAuthoringDevice)&lt;=1">(TMP BodySection): Element hl7:assignedAuthoringDevice kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="tmp-7e9330dd-6382-4f2b-a15b-f32d357b1b0f">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="@classCode='PSN' or not(@classCode)">(TMP BodySection): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(TMP BodySection): @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="tmp-ec28a945-e2e0-491b-95ef-a5398ce10a8b">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(TMP BodySection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "PN" oder der Datentype MUSS "PN" sein</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice"
         id="tmp-aba3af2a-d9da-40d1-ac36-959206efb334">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="@classCode='DEV' or not(@classCode)">(TMP BodySection): Der Wert von @classCode MUSS 'DEV' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(TMP BodySection): @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:manufacturerModelName)&gt;=1 ">(TMP BodySection): Element hl7:manufacturerModelName ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:manufacturerModelName)&lt;=1">(TMP BodySection): Element hl7:manufacturerModelName kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:softwareName)&gt;=1 ">(TMP BodySection): Element hl7:softwareName ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:softwareName)&lt;=1">(TMP BodySection): Element hl7:softwareName kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:manufacturerModelName
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:manufacturerModelName"
         id="tmp-4c21bdfc-a260-4d58-a542-0104bdb9dd61">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='' or not(@xsi:type)">(TMP BodySection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "" oder der Datentype MUSS "" sein</assert>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:softwareName
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:softwareName"
         id="tmp-916739fc-a78b-4cac-8ae3-21b09a9cda17">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='' or not(@xsi:type)">(TMP BodySection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "" oder der Datentype MUSS "" sein</assert>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization"
         id="tmp-4569a2a1-75d5-454b-979b-120c218f83fd">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="@classCode='ORG' or not(@classCode)">(TMP BodySection): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(TMP BodySection): @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id"
         id="tmp-56278f35-eebe-4762-bd1e-a60722bccd27">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP BodySection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name"
         id="tmp-696e91a1-113a-4371-8dbd-1214e0ea93d0">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">(TMP BodySection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ON" oder der Datentype MUSS "ON" sein</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom"
         id="tmp-15114852-ee8e-47fb-ab6e-a3991291b9c2">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(TMP BodySection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TEL" oder der Datentype MUSS "TEL" sein</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (TMP BodySection)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr"
         id="tmp-e1a032f1-7797-45e8-870f-de1066a5b791">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(TMP BodySection): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "AD" oder der Datentype MUSS "AD" sein</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:entry
Item: (TMP BodySection)
-->
</pattern>