<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.4.3.1
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.4.3.1">
   <title>Laboratory Specimen Entry</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]
Item: (TMP LaboratorySpecimenEntry)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry
Item: (TMP LaboratorySpecimenEntry)
-->

<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry"
         id="tmp-9181fe54-898c-4ad7-a01e-38d2947ed22c">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4.3.1'])&gt;=1 ">(TMP LaboratorySpecimenEntry): Element hl7:templateId[@root='1.2.40.0.34.11.4.3.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4.3.1'])&lt;=1">(TMP LaboratorySpecimenEntry): Element hl7:templateId[@root='1.2.40.0.34.11.4.3.1'] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:templateId[@root='1.2.40.0.34.11.4.3.1']
Item: (TMP LaboratorySpecimenEntry)
-->

<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:templateId[@root='1.2.40.0.34.11.4.3.1']"
         id="tmp-eca2b2de-dcb5-4f88-978f-5972aaf33b47">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@root='1.2.40.0.34.11.4.3.1'">(TMP LaboratorySpecimenEntry): @root MUSS den Wert '1.2.40.0.34.11.4.3.1' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP LaboratorySpecimenEntry): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act
Item: (TMP LaboratorySpecimenEntry)
-->

<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act"
         id="tmp-25f3a9ee-9c36-4cb8-9e3f-2e61e1192003">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@classCode='ACT' ">(TMP LaboratorySpecimenEntry): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@moodCode='EVN' ">(TMP LaboratorySpecimenEntry): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP LaboratorySpecimenEntry): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:code)&lt;=1">(TMP LaboratorySpecimenEntry): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]])&gt;=1 and not(hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/@nullFlavor)">(TMP LaboratorySpecimenEntry): Element hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(TMP LaboratorySpecimenEntry): Element hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:code
Item: (TMP LaboratorySpecimenEntry)
-->

<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:code"
         id="tmp-582d6d03-1de3-453e-a73c-170fbef497cc">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CD" oder der Datentype MUSS "CD" sein</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or (@code='10' and @codeSystem='1.2.40.0.34.5.47' and @displayName='Probeninformation' and @codeSystemName='ELGA_Laborstruktur')">(TMP LaboratorySpecimenEntry): Der Wert von @code/@codeSystem MUSS '10' codeSystem '1.2.40.0.34.5.47' displayName='Probeninformation' codeSystemName='ELGA_Laborstruktur' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (TMP LaboratorySpecimenEntry)
-->











<!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (TMP LaboratorySpecimenEntry)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (TMP LaboratorySpecimenEntry)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure"
         id="tmp-6e2b8c1a-5cb6-4fc0-a5b2-b5c161bb2c73">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@classCode='PROC' ">(TMP LaboratorySpecimenEntry): Der Wert von @classCode MUSS 'PROC' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@moodCode='EVN' ">(TMP LaboratorySpecimenEntry): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2'])&gt;=1 ">(TMP LaboratorySpecimenEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2'])&lt;=1">(TMP LaboratorySpecimenEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP LaboratorySpecimenEntry): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:code)&lt;=1">(TMP LaboratorySpecimenEntry): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(TMP LaboratorySpecimenEntry): Element hl7:effectiveTime ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:effectiveTime)&lt;=1">(TMP LaboratorySpecimenEntry): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:targetSiteCode)&lt;=1">(TMP LaboratorySpecimenEntry): Element hl7:targetSiteCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:perfomer)&lt;=1">(TMP LaboratorySpecimenEntry): Element hl7:perfomer kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:participant)&gt;=1 and not(hl7:participant/@nullFlavor)">(TMP LaboratorySpecimenEntry): Element hl7:participant ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:participant)&lt;=1">(TMP LaboratorySpecimenEntry): Element hl7:participant kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']"
         id="tmp-2d384e79-7427-42b9-9f7e-a373fee5c57e">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@root='1.3.6.1.4.1.19376.1.3.1.2'">(TMP LaboratorySpecimenEntry): @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.1.2' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP LaboratorySpecimenEntry): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:code
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:code"
         id="tmp-64522062-f4ec-41bc-8861-2e4381e2411e">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CD" oder der Datentype MUSS "CD" sein</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or (@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Specimen Collection' and @codeSystemName='LOINC')">(TMP LaboratorySpecimenEntry): Der Wert von @code/@codeSystem MUSS '33882-2' codeSystem '2.16.840.1.113883.6.1' displayName='Specimen Collection' codeSystemName='LOINC' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:effectiveTime
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:effectiveTime"
         id="tmp-83dfcc3b-0023-42f3-adae-e98543a5cb81">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "IVL_TS" oder der Datentype MUSS "IVL_TS" sein</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(TMP LaboratorySpecimenEntry): Element hl7:low ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:low)&lt;=1">(TMP LaboratorySpecimenEntry): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">(TMP LaboratorySpecimenEntry): Element hl7:high ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:high)&lt;=1">(TMP LaboratorySpecimenEntry): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:effectiveTime/hl7:low
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:effectiveTime/hl7:low"
         id="tmp-2d11002c-6538-4faa-a6ac-c1869aeab596">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TS" oder der Datentype MUSS "TS" sein</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:effectiveTime/hl7:high
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:effectiveTime/hl7:high"
         id="tmp-7ab303c8-de22-435b-a1fe-a6b42b8dad37">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TS" oder der Datentype MUSS "TS" sein</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:targetSiteCode
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:targetSiteCode"
         id="tmp-d1223bd6-526a-474c-a38c-7f4f66d94714">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CD" oder der Datentype MUSS "CD" sein</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.1052' and @codeSystemName='ActSite')">(TMP LaboratorySpecimenEntry): Der Wert von @codeSystem MUSS '2.16.840.1.113883.5.1052' codeSystemName='ActSite' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer"
         id="tmp-14afd683-c98b-44c7-b64f-a9d883da0e48">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@typeCode='PRF' ">(TMP LaboratorySpecimenEntry): Der Wert von @typeCode MUSS 'PRF' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(TMP LaboratorySpecimenEntry): Element hl7:assignedEntity ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:assignedEntity)&lt;=1">(TMP LaboratorySpecimenEntry): Element hl7:assignedEntity kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity
Item: (TMP LaboratorySpecimenEntry)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:id
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:id"
         id="tmp-9bdc79f6-7f97-4695-acbd-cafec9264f69">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:addr
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:addr"
         id="tmp-9aef05f5-72b0-4e3f-ad28-06b145e45544">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "AD" oder der Datentype MUSS "AD" sein</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:telecom
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:telecom"
         id="tmp-6c8945bf-e5a1-41a9-b28c-d6629056d355">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TEL" oder der Datentype MUSS "TEL" sein</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:assignedPerson
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-21bb81c8-b217-421e-9862-cfa307aa1a7e">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@classCode='PSN' or not(@classCode)">(TMP LaboratorySpecimenEntry): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(TMP LaboratorySpecimenEntry): @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-f1533b6b-6ddc-401f-bb23-9d2d1c3a6bd3">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "PN" oder der Datentype MUSS "PN" sein</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-be5e0a63-df3d-46a1-bd2d-b515b8fccad9">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@classCode='ORG' or not(@classCode)">(TMP LaboratorySpecimenEntry): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(TMP LaboratorySpecimenEntry): @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:id"
         id="tmp-72493bba-b3cf-418c-a428-01676693366b">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:name"
         id="tmp-49659fae-9c93-4908-bc6b-4c1268ade6fe">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ON" oder der Datentype MUSS "ON" sein</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom"
         id="tmp-62d5c678-937c-4c4f-b575-74660daf4072">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TEL" oder der Datentype MUSS "TEL" sein</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr"
         id="tmp-f76a34b4-fc92-48c7-88eb-6e18e22adca6">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "AD" oder der Datentype MUSS "AD" sein</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant"
         id="tmp-4edad67b-b81f-4a85-8ab2-b7b4d8c76c6c">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@typeCode='PRD' ">(TMP LaboratorySpecimenEntry): Der Wert von @typeCode MUSS 'PRD' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:participantRole)&gt;=1 and not(hl7:participantRole/@nullFlavor)">(TMP LaboratorySpecimenEntry): Element hl7:participantRole ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:participantRole)&lt;=1">(TMP LaboratorySpecimenEntry): Element hl7:participantRole kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant/hl7:participantRole
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant/hl7:participantRole"
         id="tmp-e2527eea-df31-429e-bf54-695e25c83586">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@classCode='SPEC' ">(TMP LaboratorySpecimenEntry): Der Wert von @classCode MUSS 'SPEC' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP LaboratorySpecimenEntry): Element hl7:id ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:id)&lt;=1">(TMP LaboratorySpecimenEntry): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:playingEntity)&gt;=1 and not(hl7:playingEntity/@nullFlavor)">(TMP LaboratorySpecimenEntry): Element hl7:playingEntity ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:playingEntity)&lt;=1">(TMP LaboratorySpecimenEntry): Element hl7:playingEntity kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant/hl7:participantRole/hl7:id
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant/hl7:participantRole/hl7:id"
         id="tmp-ca5cb107-fba9-4473-8684-41fff3467f2a">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant/hl7:participantRole/hl7:playingEntity
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant/hl7:participantRole/hl7:playingEntity"
         id="tmp-bb50edcb-798e-484f-9bfc-2d7241fd488e">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP LaboratorySpecimenEntry): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:code)&lt;=1">(TMP LaboratorySpecimenEntry): Element hl7:code kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant/hl7:participantRole/hl7:playingEntity/hl7:code
Item: (TMP LaboratorySpecimenEntry)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant/hl7:participantRole/hl7:playingEntity/hl7:code"
         id="tmp-7d914407-f016-4537-be7c-8c4b6f9c55a3">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP LaboratorySpecimenEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>