<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.3.6.1.4.1.19376.1.3.1.5
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.3.6.1.4.1.19376.1.3.1.5">
   <title>IHE Laboratory Isolate Organizer</title>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.5
Context: *[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.5']]
Item: (TMP LaboratoryIsolateOrganizer)
-->

<!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.5
Context: *[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.5']]/hl7:organizer
Item: (TMP LaboratoryIsolateOrganizer)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.5']]/hl7:organizer"
         id="tmp-01bf8cc3-8c33-4816-8a81-ed02d299aa2f">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.3.6.1.4.1.19376.1.3.1.5.html"
              test="@classCode='CLUSTER' ">(TMP LaboratoryIsolateOrganizer): Der Wert von @classCode MUSS 'CLUSTER' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.3.6.1.4.1.19376.1.3.1.5.html"
              test="@moodCode='EVN' ">(TMP LaboratoryIsolateOrganizer): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              test="hl7:statusCode[@code=&#34;completed&#34;] or hl7:statusCode[@code=&#34;active&#34;] or hl7:statusCode[@code=&#34;aborted&#34;]">(TMP LaboratoryIsolateOrganizer):  Error: The
                    organizer/statusCode/@code shall be "completed", "active" or "aborted" for Laboratory Isolate Organizer.</assert>
      <assert role="error" test="hl7:specimen">(TMP LaboratoryIsolateOrganizer): Error: The organizer/specimen element shall be present for Laboratory Isolate Organizer.</assert>
      <assert role="error" test="hl7:specimen[@typeCode=&#34;SPC&#34;]">(TMP LaboratoryIsolateOrganizer): Error: The specimen/@typeCode shall be "SPC" for Laboratory Isolate Organizer.</assert>
      <assert role="error" test="hl7:specimen/hl7:specimenRole[@classCode=&#34;SPEC&#34;]">(TMP LaboratoryIsolateOrganizer): Error: The specimen/specimenRole/@classCode shall be "SPEC" for Laboratory Isolate
                    Organizer.</assert>
      <assert role="error" test="hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity">(TMP LaboratoryIsolateOrganizer): Error: The specimen/specimenRole/specimenPlayingEntity shall be present Laboratory Isolate
                    Organizer.</assert>
      <assert role="error"
              test="hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode=&#34;MIC&#34;]">(TMP LaboratoryIsolateOrganizer): Error: The specimen/specimenRole/specimenPlayingEntity/@classCode shall
                    be "MIC" Laboratory Isolate Organizer.</assert>
      <assert role="error"
              test="hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity/hl7:code">(TMP LaboratoryIsolateOrganizer): Error: The specimen/specimenRole/specimenPlayingEntity shall be present Laboratory Isolate
                    Organizer.</assert>
      <assert role="error" test="not(hl7:performer) or hl7:performer[@typeCode=&#34;PRF&#34;]">(TMP LaboratoryIsolateOrganizer): Error: The performer/@typeCode shall be "PRF" Laboratory Isolate Organizer.</assert>
      <assert role="error" test="not(hl7:author) or hl7:author[@typeCode=&#34;AUT&#34;]">(TMP LaboratoryIsolateOrganizer): Error: The author/@typeCode shall be "AUT" for Laboratory Isolate Organizer.</assert>
      <assert role="error"
              test="not(hl7:participant) or hl7:participant[@typeCode=&#34;AUTHEN&#34;] or hl7:participant[@typeCode=&#34;RESP&#34;] or hl7:participant[@typeCode=&#34;DEV&#34;]">(TMP LaboratoryIsolateOrganizer):  Error:
                    The participant/@typeCode for shall be "AUTHEN", "RESP" or "DEV" Laboratory Isolate Organizer.</assert>
      <assert role="error" test="not(hl7:component) or hl7:component[@typeCode=&#34;COMP&#34;]">(TMP LaboratoryIsolateOrganizer): Error: The component/@typeCode for shall be "COMP" for Laboratory Isolate
                    Organizer.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.3.6.1.4.1.19376.1.3.1.5.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5'])&gt;=1 ">(TMP LaboratoryIsolateOrganizer): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.3.6.1.4.1.19376.1.3.1.5.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5'])&lt;=1">(TMP LaboratoryIsolateOrganizer): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5'] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.5
Context: *[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.5']]/hl7:organizer/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']
Item: (TMP LaboratoryIsolateOrganizer)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.5']]/hl7:organizer/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']"
         id="tmp-eb94e0b6-68f8-4b47-a6c9-3ed513178d74">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.3.6.1.4.1.19376.1.3.1.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP LaboratoryIsolateOrganizer): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.3.6.1.4.1.19376.1.3.1.5.html"
              test="@root='1.3.6.1.4.1.19376.1.3.1.5'">(TMP LaboratoryIsolateOrganizer): @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.1.5' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.3.6.1.4.1.19376.1.3.1.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP LaboratoryIsolateOrganizer): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>
</pattern>